Package org.silverpeas.components.kmelia.notification

## Class AbstractKmeliaFolderUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
  - - org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
    - - org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<T>
      - - org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification<org.silverpeas.core.node.model.NodeDetail>
        - - org.silverpeas.components.kmelia.notification.AbstractKmeliaFolderUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`
  Direct Known Subclasses:
    `KmeliaNotifyTopicUserNotification`, `KmeliaTopicUserNotification`

      public abstract class AbstractKmeliaFolderUserNotification
      extends AbstractKmeliaUserNotification<org.silverpeas.core.node.model.NodeDetail>

  Author:
    Nicolas EYSSERIC

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractKmeliaFolderUserNotification​(org.silverpeas.core.node.model.NodeDetail resource, org.silverpeas.core.notification.user.client.constant.NotifAction action)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.notification.user.client.constant.NotifAction` | `getAction()` |
    `protected String` | `getComponentInstanceId()` |
    `protected String` | `getContributionAccessLinkLabelBundleKey()` |
    `protected String` | `getPath​(String language)` |
    `protected String` | `getResourceURL​(org.silverpeas.core.node.model.NodeDetail resource)` |
    `protected String` | `getSender()` |
    `protected void` | `perform​(org.silverpeas.core.node.model.NodeDetail resource)` |
    `protected void` | `performNotificationResource​(String language, org.silverpeas.core.node.model.NodeDetail resource, org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)` |
    `protected void` | `performTemplateData​(String language, org.silverpeas.core.node.model.NodeDetail resource, org.silverpeas.core.template.SilverpeasTemplate template)` |
    `protected boolean` | `stopWhenNoUserToNotify()` |

    - ### Methods inherited from class org.silverpeas.components.kmelia.notification.AbstractKmeliaUserNotification

      `getHTMLNodePath, getLocalizationBundlePath, getNodeHeader, getNodeService, getOrganisationController, getTemplatePath`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

      `createNotification, getBundleSubjectKey, getTemplateFileName, getTitle, getTitle, performBuild, performNotificationResource, performNotificationResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

      `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

    - ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

      `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, getUserIdsToNotify, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractKmeliaFolderUserNotification

          protected AbstractKmeliaFolderUserNotification​(org.silverpeas.core.node.model.NodeDetail resource,
                                                         org.silverpeas.core.notification.user.client.constant.NotifAction action)

  - ### Method Detail

    - #### performTemplateData

          protected void performTemplateData​(String language,
                                             org.silverpeas.core.node.model.NodeDetail resource,
                                             org.silverpeas.core.template.SilverpeasTemplate template)

      Specified by:
        `performTemplateData` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>`

    - #### performNotificationResource

          protected void performNotificationResource​(String language,
                                                     org.silverpeas.core.node.model.NodeDetail resource,
                                                     org.silverpeas.core.notification.user.model.NotificationResourceData notificationResourceData)

      Specified by:
        `performNotificationResource` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>`

    - #### stopWhenNoUserToNotify

          protected boolean stopWhenNoUserToNotify()

      Overrides:
        `stopWhenNoUserToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getResourceURL

          protected String getResourceURL​(org.silverpeas.core.node.model.NodeDetail resource)

      Overrides:
        `getResourceURL` in class `org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>`

    - #### getPath

          protected final String getPath​(String language)

    - #### getAction

          protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()

      Specified by:
        `getAction` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getComponentInstanceId

          protected String getComponentInstanceId()

      Specified by:
        `getComponentInstanceId` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getSender

          protected String getSender()

      Specified by:
        `getSender` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

    - #### getContributionAccessLinkLabelBundleKey

          protected String getContributionAccessLinkLabelBundleKey()

      Overrides:
        `getContributionAccessLinkLabelBundleKey` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>`

    - #### perform

          protected void perform​(org.silverpeas.core.node.model.NodeDetail resource)

      Overrides:
        `perform` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<org.silverpeas.core.node.model.NodeDetail>`